﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace SuperMap.Desktop.Samples
{
    public partial class CustomBubbleControl : UserControl
    {
        /// <summary>
        /// Pop up the bubble window when selecting the object
        /// </summary>
        public CustomBubbleControl()
        {
            InitializeComponent();
        }
        public String GeoTypeValue
        {
            get
            {
                return m_GeoTypeValue.Text;
            }
            set
            {
                m_GeoTypeValue.Text = value;
            }
        }
        public String LayerInfoValue
        {
            get
            {
                return m_LayerInfoValue.Text;
            }
            set
            {
                m_LayerInfoValue.Text = value;
            }
        }
        public String XValue
        {
            get
            {
                return m_XValue.Text;
            }
            set
            {
                m_XValue.Text = value;
            }
        }
        public String YValue
        {
            get
            {
                return m_YValue.Text;
            }
            set
            {
                m_YValue.Text = value;
            }
        }
        public String ZValue
        {
            get
            {
                return m_ZValue.Text;
            }
            set
            {
                m_ZValue.Text = value;
            }
        }
        public String otherInfoValue
        {
            get
            {
                return m_otherIfoValue.Text;
            }
            set
            {
                m_otherIfoValue.Text = value;
            }
        }
        public String otherInfo
        {
            get
            {
                return m_otherInfo.Text;
            }
            set
            {
                m_otherInfo.Text = value;
            }
        }
    }
}
