﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using SuperMap.Desktop;
using SuperMap.Realspace;
using SuperMap.UI;
using SuperMap.Data;

namespace SuperMap.Desktop.Samples
{
    class _CtrlActionUp : CtrlAction
    {
        public _CtrlActionUp(IBaseItem caller)
            : base(caller)
        {

        }
        override public void Run()
        {
            _Toolkit.changeGeometryPosition(_Toolkit.Direction.Up, 10);
        }

        public override bool Enable()
        {
            SceneControl sceneControl = (Application.ActiveForm as IFormScene).SceneControl;
            Selection3D[] selections = sceneControl.Scene.FindSelection(true);
            return selections.Length == 1;
        }
    }
}
